KApplicationPropsPlugin class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KApplicationPropsPlugin Class Reference

Used to edit the files containing [Desktop Entry] Type=Application. More...

`#include <kpropertiesdialog.h>`

Inheritance diagram for KApplicationPropsPlugin:

[legend]
Collaboration diagram for KApplicationPropsPlugin:

[legend]
List of all members.

## Public Slots
void | slotDelExtension ()
void | slotAddExtension ()
## Public Member Functions
| KApplicationPropsPlugin (KPropertiesDialog *_props)
| Constructor.
virtual void | applyChanges ()
| Applies all changes to the file.
## Static Public Member Functions
bool | supports (KFileItemList _items)

## Detailed Description

Used to edit the files containing [Desktop Entry] Type=Application.

Such files are used to represent a program in kpanel and kfm.

Definition at line 608 of file kpropertiesdialog.h.

## Constructor & Destructor Documentation

KApplicationPropsPlugin::KApplicationPropsPlugin | ( | KPropertiesDialog * | _props | ) |

| Constructor. Definition at line 2011 of file kpropertiesdialog.cpp. References QGridLayout::addMultiCellWidget(), KDialogBase::addPage(), QGridLayout::addWidget(), KMimeType::allMimeTypes(), QValueList::begin(), KPropsDlgPlugin::changed(), QFile::close(), QObject::connect(), KPropertiesDialog::dialog(), QValueList::end(), QString::fromLatin1(), QPixmap::height(), QListBox::insertItem(), QString::isEmpty(), KPropertiesDialog::kurl(), QFile::open(), KURL::path(), QIconSet::pixmap(), KPropsDlgPlugin::properties, KConfigBase::readEntry(), KConfigBase::readListEntry(), QGridLayout::setColStretch(), KConfigBase::setDesktopGroup(), QPushButton::setIconSet(), QGridLayout::setRowStretch(), QListBox::setSelectionMode(), QLineEdit::setText(), QStringList::sort(), KDialog::spacingHint(), and QPixmap::width().

## Member Function Documentation

void KApplicationPropsPlugin::applyChanges | ( |  | ) | `[virtual]`

| Applies all changes to the file. This function is called when the user presses 'Ok'. The last plugin inserted is called first. Reimplemented from KPropsDlgPlugin. Definition at line 2192 of file kpropertiesdialog.cpp. References QFile::close(), QListBox::count(), KURL::fileName(), QString::fromLatin1(), QString::isEmpty(), KPropertiesDialog::kurl(), QString::length(), QFile::open(), KURL::path(), KPropsDlgPlugin::properties, QString::right(), KConfigBase::setDesktopGroup(), KMessageBox::sorry(), KSimpleConfig::sync(), QListBox::text(), QLineEdit::text(), QString::truncate(), and KConfigBase::writeEntry().

The documentation for this class was generated from the following files:

- kpropertiesdialog.h
- kpropertiesdialog.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:14:57 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001